﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Tickets_Splitter_RoundedCornersAndSlidingZoneResize_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            background: cyan;    
        }
        .leftRoundedCorners
        {
            -moz-border-radius: 10px 0 0 10px;
            -webkit-border-radius: 10px 0 0 10px;
            -o-border-radius: 10px 0 0 10px;
            border-radius: 10px 0 0 10px;
        }
        .rightRoundedCorners
        {
            -moz-border-radius: 0 10px 10px 0;    
            -webkit-border-radius: 0 10px 10px 0;    
            -o-border-radius: 0 10px 10px 0;    
            border-radius: 0 10px 10px 0;    
        }
        .RadSplitter_Web20 .rspPaneTabContainer
        {
            background: url(./SlidingZoneBgrWeb20.gif) top center repeat-y !important;
        }
        .RadSplitter_Web20 .rspTabsContainer .rspPaneTabContainerDocked 
        {
            background:none repeat scroll 0 0 #FFFFFF !important;
        }
        
        .tabTopLeftBorder
        {
            -moz-border-radius: 10px 0 0 0;
            -webkit-border-radius: 10px 0 0 0;
            -o-border-radius: 10px 0 0 0;
            border-radius: 10px 0 0 0;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
        <telerik:RadDockLayout ID="RadDockLayout1" runat="server">
            <telerik:RadSplitter ID="RadSplitter1" runat="server" Width="100%" BorderSize="0"
                Height="600px" Skin="Web20">
                <telerik:RadPane ID="RadPane1" runat="server" BackColor="#6086C1" Scrolling="None"
                    Width="60px" CssClass="leftRoundedCorners">
                    <telerik:RadSlidingZone ID="RadSlidingZone1" runat="server" ClickToOpen="True"
                        Skin="Web20" Width="60px" OnClientLoaded="OnClientSlidingZoneLoaded">
                        <telerik:RadSlidingPane ID="RadSlidingPane1" runat="server" BackColor="#ECF4FD" MinWidth="160"
                            Scrolling="Y" Title="Settings" Width="160px">

                        </telerik:RadSlidingPane>
                        <telerik:RadSlidingPane ID="RadSlidingPane2" runat="server" BackColor="#ECF4FD" MinWidth="160"
                            Scrolling="Y" Title="Custom">
                            <telerik:RadListBox ID="lstBxCustom" runat="server" EnableDragAndDrop="True" _OnDropped="RadListBox_Dropped"
                                Skin="Web20" Sort="Ascending" Width="100%">

                            </telerik:RadListBox>
                        </telerik:RadSlidingPane>
                        <telerik:RadSlidingPane ID="RadSlidingPane3" runat="server" BackColor="#ECF4FD" MinWidth="160"
                            Scrolling="Y" Title="Historical" Width="160px">

                        </telerik:RadSlidingPane>
                    </telerik:RadSlidingZone>
                </telerik:RadPane>
                <telerik:RadPane ID="RadPane2" runat="server" Scrolling="None" BackColor="White"
                    CssClass="rightRoundedCorners">
                </telerik:RadPane>
            </telerik:RadSplitter>
        </telerik:RadDockLayout>

        <script type="text/javascript">
            function OnClientSlidingZoneLoaded(slidingZone, args)
            {
                var firstSlidingPane = slidingZone.getPaneById("<% =RadSlidingPane1.ClientID %>"); // get reference to the first sliding pane
                var firstTab = firstSlidingPane.getTabContainer();

                Sys.UI.DomElement.addCssClass(firstTab, "tabTopLeftBorder");
            }
        </script>
    </div>
    </form>
</body>
</html>
